update sub-module READMEs
authorTony Cook <tony@develop-help.com>
Mon, 18 Feb 2013 04:48:51 +0000 (15:48 +1100)
committerTony Cook <tony@develop-help.com>
Mon, 18 Feb 2013 04:48:51 +0000 (15:48 +1100)
- they point at the -dev or -devel package

- they point at Imager::Install

- other minor changes

16 files changed:
FT2/Changes
FT2/FT2.pm
FT2/README
GIF/Changes
GIF/GIF.pm
GIF/README
JPEG/README
PNG/Changes
PNG/PNG.pm
PNG/README
T1/Changes
T1/README
T1/T1.pm
TIFF/Changes
TIFF/README
TIFF/TIFF.pm

index 8757f41..fbfb1e6 100644 (file)
@@ -1,3 +1,8 @@
+Imager-Font-FT2 0.89
+====================
+
+ - update README
+
 Imager-Font-FT2 0.88
 ====================
 
index de9c808..d8d471f 100644 (file)
@@ -6,7 +6,7 @@ use vars qw($VERSION @ISA);
 @ISA = qw(Imager::Font);
 
 BEGIN {
-  $VERSION = "0.88";
+  $VERSION = "0.89";
 
   require XSLoader;
   XSLoader::load('Imager::Font::FT2', $VERSION);
index a035dc1..320f4cd 100644 (file)
@@ -4,7 +4,12 @@ library.
 It requires libfreetype and its development header files to be
 installed.
 
-This is currently shipped as part of Imager, but but Imager may
-install with out installing Imager::Font::FT2, if your module or
-application requires FreeType 2 support then add Imager::Font::FT2 as
-a prerequisite.
+For Linux distributions this typically requires installation of the
+associated -dev or -devel package.
+
+See Imager::Install for more information.
+
+Imager::Font::FT2 is currently shipped as part of Imager, but but
+Imager may install with out installing Imager::Font::FT2.  If your
+module or application requires FreeType 2 support then add
+Imager::Font::FT2 as a prerequisite.
index 373822c..8b4c626 100644 (file)
@@ -1,3 +1,15 @@
+Imager-File-GIF 0.87
+====================
+
+ - add the missing 0.86 changes list
+
+ - update README
+
+Imager-File-GIF 0.86
+====================
+
+ - avoid re-entrancy to giflib using the mutex API
+
 Imager-File-GIF 0.85
 ====================
 
index 05fb1f9..738ead4 100644 (file)
@@ -4,7 +4,7 @@ use Imager;
 use vars qw($VERSION @ISA);
 
 BEGIN {
-  $VERSION = "0.86";
+  $VERSION = "0.87";
 
   require XSLoader;
   XSLoader::load('Imager::File::GIF', $VERSION);
index b7640cd..31603d4 100644 (file)
@@ -2,6 +2,14 @@ Imager::File::GIF provides GIF file format support for Imager.
 
 It requires libgif to be installed, including development headers.
 
-This is currently shipped as part of Imager, but Imager may install
-with out installing Imager::File::GIF, so if you need GIF support, add
-a dependency on Imager::File::GIF.
+For Linux distributions this typically requires installation of the
+associated -dev or -devel package.
+
+See Imager::Install for more information.
+
+Imager::File::GIF is currently shipped as part of Imager, but Imager
+may install with out installing Imager::File::GIF, so if you need GIF
+support, add a dependency on Imager::File::GIF.
+
+Makefile.PL will reject libgif 4.2.0 and 5.0.0 due to bugs in those
+releases.
\ No newline at end of file
index 57f6668..1f5d980 100644 (file)
@@ -1,6 +1,12 @@
 Imager::File::JPEG provides JPEG file format support for Imager.
 
-It requires libjpeg to be installed.
+It requires libjpeg to be installed, any version from jpeg6b or later.
+libjpeg-turbo is also supported.
+
+For Linux distributions this typically requires installation of the
+associated -dev or -devel package.
+
+See Imager::Install for more information.
 
 This is currently shipped as part of Imager, but Imager may install
 with out installing Imager::File::JPEG, so if you need JPEG support,
index 916f46f..c30716d 100644 (file)
@@ -1,3 +1,8 @@
+Imager-File-PNG 0.87
+====================
+
+ - update README
+
 Imager-File-PNG 0.86
 ====================
 
index 7e5313b..d0433ba 100644 (file)
@@ -4,7 +4,7 @@ use Imager;
 use vars qw($VERSION @ISA);
 
 BEGIN {
-  $VERSION = "0.86";
+  $VERSION = "0.87";
 
   require XSLoader;
   XSLoader::load('Imager::File::PNG', $VERSION);
index 7b3dab9..d786557 100644 (file)
@@ -1,7 +1,12 @@
 Imager::File::PNG provides PNG file format support for Imager.
 
-It requires libpng to be installed.
+It requires libpng, including development files, to be installed.
 
-This is currently shipped as part of Imager, but Imager may install
-with out installing Imager::File::PNG, so if you need PNG support,
-add a dependency on Imager::File::PNG.
+For Linux distributions this typically requires installation of the
+associated -dev or -devel package.
+
+See Imager::Install for more information.
+
+Imager::File::PNG is currently shipped as part of Imager, but Imager
+may install without installing Imager::File::PNG, so if you need PNG
+support, add a dependency on Imager::File::PNG.
index fb79fa6..92870d8 100644 (file)
@@ -1,3 +1,20 @@
+Imager::Font::T1 1.020
+======================
+
+ - add the 1.019 changes list
+
+ - update README
+
+Imager::Font::T1 1.019
+======================
+
+ - slightly improve control over anti-aliasing, this is now recorded
+   per thread
+
+ - use a mutex to avoid re-entering t1lib, which isn't thread safe.
+
+ - avoid a paralled testing race condition.
+
 Imager::Font::T1 1.018
 ======================
 
index cc6a5b5..8069f07 100644 (file)
--- a/T1/README
+++ b/T1/README
@@ -1,4 +1,18 @@
-This module provides Type 1 font support for Imager via T1Lib.
+Imager::Font::T1 provides Type 1 font support for Imager via T1Lib.
 
   http://imager.perl.org/
   http://www.t1lib.org/
+
+This requires that t1lib is installed, including any development files.
+
+For Linux distributions this typically requires installation of the
+associated -dev or -devel package.
+
+See Imager::Install for more information.
+
+Imager::Font::T1 is shipped as part of Imager, but if the libraries
+required aren't found it won't be installed.  If you require T1
+support via libt1 then add a dependency on Imager::Font::T1.
+
+Imager::Font::FT2 provides most of the functionality of
+Imager::Font::T1 and more.
\ No newline at end of file
index edb0b58..8c64a53 100644 (file)
--- a/T1/T1.pm
+++ b/T1/T1.pm
@@ -6,7 +6,7 @@ use vars qw(@ISA $VERSION);
 use Scalar::Util ();
 
 BEGIN {
-  $VERSION = "1.019";
+  $VERSION = "1.020";
 
   require XSLoader;
   XSLoader::load('Imager::Font::T1', $VERSION);
index 76ff342..8acd43a 100644 (file)
@@ -1,3 +1,8 @@
+Imager-File-TIFF 0.86
+=====================
+
+ - update README
+
 Imager-File-TIFF 0.85
 =====================
 
index 6db9d19..557174f 100644 (file)
@@ -1,6 +1,11 @@
 Imager::File::TIFF provides TIFF file format support for Imager.
 
-It requires libtiff to be installed.
+It requires libtiff to be installed, including development files.
+
+For Linux distributions this typically requires installation of the
+associated -dev or -devel package.
+
+See Imager::Install for more information.
 
 This is currently shipped as part of Imager, but Imager may install
 with out installing Imager::File::TIFF, so if you need TIFF support,
index 680e457..d7c3678 100644 (file)
@@ -4,7 +4,7 @@ use Imager;
 use vars qw($VERSION @ISA);
 
 BEGIN {
-  $VERSION = "0.85";
+  $VERSION = "0.86";
 
   require XSLoader;
   XSLoader::load('Imager::File::TIFF', $VERSION);